Apps Webhooks
- OpenAPI Version:
3.1.1 - API Version:
1.0.0
The Marketplace webhooks allow developers to receive events related to their app in the marketplace.
Servers
- URL:
https://{your-endpoint-url}
Operations
app.authorization_request_declined
- Method:
POST - Path:
app.authorization_request_declined - Tags: webhook
Zoom triggers the App Request Declined event when an administrator declines a user's request to install an app.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The App Request Declined subscription enabled under the Marketplace event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectapp_id(required)string— The unique identifier for the app.app_name(required)string— The app's name.app_status(required)string, possible values:"published", "unpublished"— The app's status: * `published` * `unpublished`app_type(required)string— The app's type.request_id(required)string— The unique ID for this app installation request.reviewer_email(required)string, format:email— The email address of the administrator who declined the request.reviewer_name(required)string— The display name of the administrator who declined the request.scope(required)string, possible values:"all_users_on_account", "specific_users"— The scope of the admin's review action: * `all_users_on_account` — The admin declined the request for all users on the account. * `specific_users` — The admin declined the request for specific selected users.app_descriptionstring— The app's description.reviewed_requestsarray— A list of user requests that were declined. When `scope` is `all_users_on_account`, this might be absent. When `scope` is `specific_users`, this includes the declined users.Items: requester_email(required)string, format:email— The email of the user who requested to install the app.requester_name(required)string— The name of the user who requested to install the app.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"request_id": "",
"app_id": "",
"app_name": "",
"app_type": "",
"app_status": "published",
"app_description": "",
"scope": "all_users_on_account",
"reviewer_name": "",
"reviewer_email": "",
"reviewed_requests": [
{
"requester_name": "",
"requester_email": ""
}
]
}
}Responses
Status: 200 Successfully received the webhook event.
app_deauthorized
- Method:
POST - Path:
app_deauthorized - Tags: webhook
A user or an account admin who installed your app can uninstall it at any time. The App Deauthorization event is triggered every time a user uninstalls or deauthorizes your app.
Prerequisites
- You have configured a valid deauthorization notification URL for your app. The field is located at the bottom of the Information tab of the app configuration page. For more information, see Deauthorization URLs
See Webhook verification for securing your webhook endpoint.
Request Body
Content-Type: application/json
eventstring— The name of the event.payloadobjectaccount_idstring— The user's account ID.client_idstring— The app's client ID.deauthorization_timestring, format:date-time— The date and time at which the user uninstalled the app.event_tsnumber— The timestamp of the webhook event.signaturestring— A unique ID for each instance of app deauthorization and uninstallation by the user.user_idstring— The user's ID.
Example:
{
"event": "",
"payload": {
"user_id": "",
"account_id": "",
"client_id": "",
"deauthorization_time": "",
"signature": "",
"event_ts": 1
}
}Responses
Status: 200 Successfully received the webhook event.
app.authorization_request_created
- Method:
POST - Path:
app.authorization_request_created - Tags: webhook
The App Request Approval event is triggered any time a user requests to install an app.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The App Request Approval subscription enabled under the Marketplace event.
Request Body
Content-Type: application/json
eventstring— The name of the event.event_tsinteger, format:int64— A timestamp at which the event occurred.payloadobjectapp_descriptionstring— The app's description.app_linkobject— Information about the app's developer documentation URLs.developer_documentationstring, format:url— The app's documentation URL.developer_privacy_policystring, format:url— The app's privacy policy URL.developer_supportstring, format:url— The app's support URL.developer_terms_of_usestring, format:url— The app's Terms of Use URL.
app_namestring— The app's name.app_statusstring, possible values:"published", "development"— The app's status: * `published` * `development`app_typestring— The app's type.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"app_name": "",
"app_type": "",
"app_status": "published",
"app_description": "",
"app_link": {
"developer_documentation": "",
"developer_privacy_policy": "",
"developer_support": "",
"developer_terms_of_use": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
app.authorization_request_approved
- Method:
POST - Path:
app.authorization_request_approved - Tags: webhook
Zoom triggers the App Request Approved event when an administrator approves a user's request to install an app.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The App Request Approved subscription enabled under the Marketplace event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectapp_id(required)string— The unique identifier for the app.app_name(required)string— The app's name.app_status(required)string, possible values:"published", "unpublished"— The app's status: * `published` * `unpublished`app_type(required)string— The app's type.request_id(required)string— The unique ID for this app installation request.reviewer_email(required)string, format:email— The email address of the administrator who approved the request.reviewer_name(required)string— The display name of the administrator who approved the request.scope(required)string, possible values:"all_users_on_account", "specific_users"— The scope of the admin's review action: * `all_users_on_account` — The admin approved the request for all users on the account. * `specific_users` — The admin approved the request for specific selected users.app_descriptionstring— The app's description.reviewed_requestsarray— A list of user requests that were approved. When `scope` is `all_users_on_account`, this might be absent. When `scope` is `specific_users`, this includes the approved users.Items: requester_email(required)string, format:email— The email of the user who requested to install the app.requester_name(required)string— The name of the user who requested to install the app.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"request_id": "",
"app_id": "",
"app_name": "",
"app_type": "",
"app_status": "published",
"app_description": "",
"scope": "all_users_on_account",
"reviewer_name": "",
"reviewer_email": "",
"reviewed_requests": [
{
"requester_name": "",
"requester_email": ""
}
]
}
}Responses
Status: 200 Successfully received the webhook event.
Schemas
App.authorization_request_declinedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectapp_id(required)string— The unique identifier for the app.app_name(required)string— The app's name.app_status(required)string, possible values:"published", "unpublished"— The app's status: * `published` * `unpublished`app_type(required)string— The app's type.request_id(required)string— The unique ID for this app installation request.reviewer_email(required)string, format:email— The email address of the administrator who declined the request.reviewer_name(required)string— The display name of the administrator who declined the request.scope(required)string, possible values:"all_users_on_account", "specific_users"— The scope of the admin's review action: * `all_users_on_account` — The admin declined the request for all users on the account. * `specific_users` — The admin declined the request for specific selected users.app_descriptionstring— The app's description.reviewed_requestsarray— A list of user requests that were declined. When `scope` is `all_users_on_account`, this might be absent. When `scope` is `specific_users`, this includes the declined users.Items: requester_email(required)string, format:email— The email of the user who requested to install the app.requester_name(required)string— The name of the user who requested to install the app.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"request_id": "",
"app_id": "",
"app_name": "",
"app_type": "",
"app_status": "published",
"app_description": "",
"scope": "all_users_on_account",
"reviewer_name": "",
"reviewer_email": "",
"reviewed_requests": [
{
"requester_name": "",
"requester_email": ""
}
]
}
}App_deauthorizedEvent
- Type:
object
eventstring— The name of the event.payloadobjectaccount_idstring— The user's account ID.client_idstring— The app's client ID.deauthorization_timestring, format:date-time— The date and time at which the user uninstalled the app.event_tsnumber— The timestamp of the webhook event.signaturestring— A unique ID for each instance of app deauthorization and uninstallation by the user.user_idstring— The user's ID.
Example:
{
"event": "",
"payload": {
"user_id": "",
"account_id": "",
"client_id": "",
"deauthorization_time": "",
"signature": "",
"event_ts": 1
}
}App.authorization_request_createdEvent
- Type:
object
eventstring— The name of the event.event_tsinteger, format:int64— A timestamp at which the event occurred.payloadobjectapp_descriptionstring— The app's description.app_linkobject— Information about the app's developer documentation URLs.developer_documentationstring, format:url— The app's documentation URL.developer_privacy_policystring, format:url— The app's privacy policy URL.developer_supportstring, format:url— The app's support URL.developer_terms_of_usestring, format:url— The app's Terms of Use URL.
app_namestring— The app's name.app_statusstring, possible values:"published", "development"— The app's status: * `published` * `development`app_typestring— The app's type.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"app_name": "",
"app_type": "",
"app_status": "published",
"app_description": "",
"app_link": {
"developer_documentation": "",
"developer_privacy_policy": "",
"developer_support": "",
"developer_terms_of_use": ""
}
}
}App.authorization_request_approvedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectapp_id(required)string— The unique identifier for the app.app_name(required)string— The app's name.app_status(required)string, possible values:"published", "unpublished"— The app's status: * `published` * `unpublished`app_type(required)string— The app's type.request_id(required)string— The unique ID for this app installation request.reviewer_email(required)string, format:email— The email address of the administrator who approved the request.reviewer_name(required)string— The display name of the administrator who approved the request.scope(required)string, possible values:"all_users_on_account", "specific_users"— The scope of the admin's review action: * `all_users_on_account` — The admin approved the request for all users on the account. * `specific_users` — The admin approved the request for specific selected users.app_descriptionstring— The app's description.reviewed_requestsarray— A list of user requests that were approved. When `scope` is `all_users_on_account`, this might be absent. When `scope` is `specific_users`, this includes the approved users.Items: requester_email(required)string, format:email— The email of the user who requested to install the app.requester_name(required)string— The name of the user who requested to install the app.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"request_id": "",
"app_id": "",
"app_name": "",
"app_type": "",
"app_status": "published",
"app_description": "",
"scope": "all_users_on_account",
"reviewer_name": "",
"reviewer_email": "",
"reviewed_requests": [
{
"requester_name": "",
"requester_email": ""
}
]
}
}